<template>
  <div>
    <v-snackbar v-model="baseSnackbar.open" color="shadow" :timeout="4000" :right="'right'">
      {{ baseSnackbar.text }}
      <v-btn outlined class="pa-1 pl-3 pr-3" @click="snackbar = false">
        <span @click="handleClose">
          {{ $vuetify.lang.t('$vuetify.actions.close') }}
        </span>
      </v-btn>
    </v-snackbar>
  </div>
</template>

<script>
import { mapState, mapMutations } from 'vuex'

export default {
  name: 'Snackbar',
  data() {
    return {}
  },
  computed: {
    ...mapState('user', ['baseSnackbar']),
  },
  methods: {
    ...mapMutations('user', ['UPDATE_BASE_SNACKBAR']),
    handleClose() {
      this.UPDATE_BASE_SNACKBAR({
        open: false,
      })
    },
  },
}
</script>

<style scoped></style>
